net.minecraft.crash

## Class CrashReport

- java.lang.Object
- - net.minecraft.crash.CrashReport

-     public class CrashReport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrashReport(java.lang.String par1Str, java.lang.Throwable par2Throwable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrashReportCategory` | `getCategory()`
    `java.lang.String` | `getCauseStackTraceOrString()`
    `java.lang.String` | `getCompleteReport()`
    `java.lang.Throwable` | `getCrashCause()`
    `java.lang.String` | `getDescription()`
    `java.io.File` | `getFile()`
    `void` | `getSectionsInStringBuilder(java.lang.StringBuilder par1StringBuilder)`
    `CrashReportCategory` | `makeCategory(java.lang.String par1Str)`
    `CrashReportCategory` | `makeCategoryDepth(java.lang.String par1Str, int par2)`
    `static CrashReport` | `makeCrashReport(java.lang.Throwable par0Throwable, java.lang.String par1Str)`
    `boolean` | `saveToFile(java.io.File p_147149_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrashReport

          public CrashReport(java.lang.String par1Str,
                     java.lang.Throwable par2Throwable)

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

    - #### getCrashCause

          public java.lang.Throwable getCrashCause()

    - #### getSectionsInStringBuilder

          public void getSectionsInStringBuilder(java.lang.StringBuilder par1StringBuilder)

    - #### getCauseStackTraceOrString

          public java.lang.String getCauseStackTraceOrString()

    - #### getCompleteReport

          public java.lang.String getCompleteReport()

    - #### getFile

          public java.io.File getFile()

    - #### saveToFile

          public boolean saveToFile(java.io.File p_147149_1_)

    - #### getCategory

          public CrashReportCategory getCategory()

    - #### makeCategory

          public CrashReportCategory makeCategory(java.lang.String par1Str)

    - #### makeCategoryDepth

          public CrashReportCategory makeCategoryDepth(java.lang.String par1Str,
                                              int par2)

    - #### makeCrashReport

          public static CrashReport makeCrashReport(java.lang.Throwable par0Throwable,
                                    java.lang.String par1Str)